Show: Inherited Protected Private Deprecated

# ButtonTable Class

Defined in: `src/ui/react/src/components/buttons/button-table.jsx:4`

The ButtonTable class provides functionality for creating and editing a table in a document. ButtonTable renders in two different modes:

- Normal: Just a button that allows to switch to the edition mode
- Exclusive: The ButtonTableEdit UI with all the table edition controls.

## Index

### Methods

- render

### Properties

- editor
- key static
- label
- tabIndex

## Methods

### `render`

() Object

Defined in `src/ui/react/src/components/buttons/button-table.jsx:51`

Lifecycle. Renders the UI of the button.

#### Returns:

Object:

The content which should be rendered.

## Properties

### `editor`

Object

Defined in `src/ui/react/src/components/buttons/button-table.jsx:16`

The editor instance where the component is being used.

### `key`

String static

Defined in `src/ui/react/src/components/buttons/button-table.jsx:41`

The name which will be used as an alias of the button in the configuration.

Default: table

### `label`

String

Defined in `src/ui/react/src/components/buttons/button-table.jsx:23`

The label that should be used for accessibility purposes.

### `tabIndex`

Number

Defined in `src/ui/react/src/components/buttons/button-table.jsx:30`

The tabIndex of the button in its toolbar current state. A value other than -1 means that the button has focus and is the active element.